Skip to main content
POST
/
api
/
integrations
/
jira
/
datasets
Create Dataset From Jira
curl --request POST \
  --url https://api.example.com/api/integrations/jira/datasets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "repo_url": "<string>",
  "dataset_name": "<string>",
  "repo_access_token": "<string>",
  "dataset_type": "<string>",
  "dimension": "<string>",
  "image_specificity": "fine",
  "webhook_on_complete": true,
  "webhook_on_failure": true,
  "project_id": "<string>",
  "jira_issue_key": "<string>"
}
'
{
  "dataset_id": "<string>",
  "dataset_name": "<string>",
  "status": "<string>",
  "dataset_dir": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Body

application/json
repo_url
string
required
dataset_name
string | null
repo_access_token
string | null
dataset_type
string | null
dimension
string | null
image_specificity
string | null
default:fine
webhook_on_complete
boolean | null
webhook_on_failure
boolean | null
project_id
string | null
jira_issue_key
string | null

Response

Successful Response

dataset_id
string
required
dataset_name
string
required
status
string
required
dataset_dir
string
required